Package org.bukkit.map

# Enum Class MapView.Scale

java.lang.Object
java.lang.Enum<MapView.Scale>
org.bukkit.map.MapView.Scale

All Implemented Interfaces:
  `Serializable`, `Comparable<MapView.Scale>`, `Constable`

Enclosing interface:
  MapView

public static enum MapView.Scale extends Enum<MapView.Scale>
An enum representing all possible scales a map can be set to.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSE`
`CLOSEST`
`FAR`
`FARTHEST`
`NORMAL`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getValue()`
Deprecated.
Magic value
`static @Nullable MapView.Scale`
`valueOf(byte value)`
Deprecated.
Magic value
`static MapView.Scale`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapView.Scale[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLOSEST

public static final MapView.Scale CLOSEST

### CLOSE

public static final MapView.Scale CLOSE

### NORMAL

public static final MapView.Scale NORMAL

### FAR

public static final MapView.Scale FAR

### FARTHEST

public static final MapView.Scale FARTHEST

## Method Details

### values

public static MapView.Scale[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MapView.Scale valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated @Nullable public static @Nullable MapView.Scale valueOf(byte value)
Deprecated.
Magic value
Get the scale given the raw value.

Parameters:
  `value` - The raw scale
Returns:
  The enum scale, or null for an invalid input

### getValue

@Deprecated public byte getValue()
Deprecated.
Magic value
Get the raw value of this scale level.

Returns:
  The scale value